w17 2023-06-26 14:22:24+03:00 - build 338

1. 7z.dll 23.01

w17 2023-05-24 15:36:25+03:00 - build 337

1. PF_RECURSIVEPANEL -> OPIF_RECURSIVEPANEL, OPIF_DELETEFILEONCLOSE, OPIF_DELETEDIRONCLOSE

drkns 2023-05-22 18:57:05+01:00 - build 336

1. gh-695: Archive file creation time lost after deleting files.

w17 2023-05-12 13:14:32+03:00 - build 335

1. add PF_RECURSIVEPANEL flag

w17 2023-04-29 14:33:51+03:00 - build 334

1. Correct 333

w17 2023-04-28 12:59:50+03:00 - build 333

1. Open partition without copying.

w17 2022-09-05 20:06:54+03:00 - build 332

1. Avoid some arclite crash

w17 2022-09-03 00:14:10+03:00 - build 331

1. Correct 330

w17 2022-09-02 16:32:43+03:00 - build 330

1. Updating Archives does not preserve File Creation Timestamp
   https://github.com/FarGroup/FarManager/issues/496

w17 2022-08-26 14:30:39+03:00 - build 329

1. 7z.dll 22.01

drkns 2022-08-02 21:52:59+01:00 - build 328

1. UAF crash after 325.

drkns 2022-07-22 23:00:00+01:00 - build 327

1. Adapt to 7z v22 shenanigans with file times.

2. Create archive - Advanced parameters didn't work with integer values.

w17 2022-06-20 17:09:51+03:00 - build 326

1. 7z.dll 22.00

w17 2022-05-24 19:01:10+03:00 - build 325

1. 003947: ArcLite:PE fails to open files with data after executable body
   https://bugs.farmanager.com/view.php?id=3947

w17 2021-12-28 16:36:54+03:00 - build 324

1. 7z.dll 21.07

w17 2021-12-08 15:59:17+03:00 - build 323

1. workaround for 7z 21.xx zip backslash purism
   https://forum.farmanager.com/viewtopic.php?p=169196#p169196

w17 2021-11-30 18:00:17+03:00 - build 322

1. 7z.dll 21.06

w17 2021-11-11 15:00:32+03:00 - build 321

1. 7z.dll 21.04

w17 2021-09-15 18:51:03+01:00 - build 320

1. 0003896: ArcLite:PE opens as Base64.

w17 2021-07-28 15:38:31+03:00 - build 319

1. 7z.dll обновлена до версии 21.03

w17 2021-05-06 17:37:40+03:00 - build 318

1. 7z.dll обновлена до версии 21.02

w17 2020-12-29 17:07:37+03:00 - build 317

1. Не находилась 7z.dll на x86 если в Modulepath были '/'

w17 2020-12-12 02:33:14+03:00 - build 316

1. Не сбрасывался пароль создаваемого архива, несмотря на отключение шифрования, при сохраненном пароле.
   https://forum.farmanager.com/viewtopic.php?p=163225#p163225

drkns 2020-11-14 23:54:39+00:00 - build 315

1. Fix "Retry" button in error dialogs.

drkns 2020-08-17 19:45:45+01:00 - build 314

1. gh-263: Use ArcLite for .aab by default

drkns 2020-07-04 12:52:29+01:00 - build 313

1. gh-250: Use ArcLite for .apk and .aar by default

w17 2019-11-03 11:05:08+03:00 - build 312

1. M#3750

drkns 2019-09-19 22:01:49+01:00 - build 311

1. "using namespace std" - зло.

drkns 2019-08-18 10:49:12+01:00 - build 310

1. Иногда плагин пытался пропихивать posix attributes в SetFileAttributes.
   Иногда это даже получалось.

w17 2019-06-27 16:27:51+03:00 - build 309

1. M#3719: arclite: не меняется кейс имени файла при извлечении из архива

w17 2019-06-10 16:15:35+03:00 - build 308

1. Неправильно работал выбор метода сжатия после сохранения настроек.

zg 2019-06-04 11:52:46+03:00 - build 307

1. 0003713: Несогласованность panel.GetPanelDirectory и panel.SetPanelDirectory.

w17 2019-05-16 12:31:19+03:00 - build 306

1. Продолжение b296

w17 2019-05-13 12:39:28+03:00 - build 305

1. Продолжение b303 (Shift+F3)

w17 2019-05-10 01:49:46+03:00 - build 304

1. Уточнение b303 (показываем предупреждения, если есть)

w17 2019-05-07 16:34:38+03:00 - build 303

1. M#3710: Тест не выявляет ошибки в битом архиве

w17 2019-05-03 14:55:36+03:00 - build 302

1. avoid _itow_s again.

w17 2019-05-03 14:55:36+03:00 - build 301

1. DrKnS changes (missed changelog & project.ini corrections)

w17 2019-04-16 17:53:21+03:00 - build 300

1. bootstrap & tools

w17 2019-04-15 15:49:43+03:00 - build 299

1. gcc build added

w17 2019-04-13 12:42:01+03:00 - build 298

1. fix 297.

w17 2019-04-12 16:44:52+03:00 - build 297

1. Refactoring

w17 2019-04-11 17:19:48+03:00 - build 296

1. Experimantal: открытие многотомных .zip архивов через archive.zip часто глючило.

w17 2019-03-21 12:43:32+03:00 - build 295

1. 7z.dll обновлена до версии 19.00.

w17 2019-02-19 11:40:42+03:00 - build 294

1. M#3653: Падение ArcLite при попытке открыть .pkg внутри .dmg

w17 2019-01-15 13:24:35+03:00 - build 293

1. 7z.dll обновлена до версии 18.06.

w17 2018-08-07 13:13:37+03:00 - build 292

1. Workaround for far build 5242 Synchronous panel close

w17 2018-07-03 13:33:17+03:00 - build 291

1. Продолжение 290.1

w17 2018-06-20 17:28:29+03:00 - build 290

1. M#3615: Arclite: [ Save settings ] does not save the Compression level
2. Уточнение парсинга дополнительных параметров
3. Умолчательные дополнительные параметры внешних кодеков можно задавать в .xml,
   в arclite.xml добавлены умолчательные параметры для WavPack2.

w17 2018-06-05 09:21:25+03:00 - build 289

1. С форума - зависание arclite при выводе диалога перезаписи файла во время распаковки

w17 2018-05-11 18:08:06+03:00 - build 288

1. 7z.dll обновлена до версии 18.05.

w17 2018-04-19 20:39:37+03:00 - build 287

1. Установка уровня сжатия для сторонних форматов

w17 2018-04-18 18:07:52+03:00 - build 286

1. Поддержка внешних .dll формат + кодек (обязательно в Formats/*.format)

w17 2018-04-16 19:30:56+03:00 - build 285

1. Защита от одновременного вызова экспортируемых ф-й из разных потоков

w17 2018-04-16 16:40:09+03:00 - build 284

1. Откат 283, fixed 7z.dll

w17 2018-04-13 18:08:27+03:00 - build 283

1. M#3598: Отвалился детект некоторых SFX архивов формата ZIP

w17 2018-04-02 12:03:07+03:00 - build 282

1. Extract alternate streams from .wim archives

w17 2018-03-20 20:04:31+03:00 - build 281

1. fixed: падение при выгрузке при использовании WinCryptHashers.

w17 2018-03-20 15:10:32+03:00 - build 280

1. arc:u может создавать архив.

w17 2018-03-20 13:12:14+03:00 - build 279

1. Не вводим пароль в AnalyseW.

w17 2018-03-16 14:59:21+03:00 - build 278

1. 7z.dll обновлена до версии 18.03.

w17 2018-03-15 17:37:51+03:00 - build 277

1. Продолжение 276

w17 2018-03-14 18:19:22+03:00 - build 276

1. M#3582: Arclite некорректно ведет себя, если не может выставить распакованному файлу атрибуты

drkns 2018-02-26 08:02:39+00:00 - build 275

1. Far 5150.

w17 2018-02-09 19:47:26+03:00 - build 274

1. 7z.dll обновлена до версии 18.01.

drkns 2018-02-03 14:55:34+00:00 - build 273

1. Используем warning style для диалога перезаписи (FDLG_WARNING) для единообразия с Far.

w17 2018-01-18 02:25:38+03:00 - build 272

1. M#3576: Arclite produces invalid archive files list

w17 2018-01-11 16:20:49+03:00 - build 271

1. 7z.dll обновлена до версии 18.00.

w17 2018-01-11 16:01:26+03:00 - build 270

1. M#1627: Непонятное поведение с запароленными архивами

w17 2018-01-10 16:34:20+03:00 - build 269

1. Ignore Extraction kDataAfterEnd error.

w17 2017-12-27 12:25:47+03:00 - build 268

1. M#3449 - более корректный способ определения вложенного архива.

w17 2017-12-25 12:31:52+03:00 - build 267

1. arc:d [-ie[:(y|n)]] [-p:<password>] <archive> <item> ...

w17 2017-12-21 13:33:30+03:00 - build 266

1. Compression level shift -- fixed

w17 2017-12-20 19:44:14+03:00 - build 265

1. Plugin.Call -- формат аналогичен комстроке, все параметры текстовые, open исключён.

w17 2017-12-14 14:00:17+03:00 - build 264

1. 263 + маски файлов

w17 2017-12-13 13:47:36+03:00 - build 263

1. Добавлена команда для извлечения элементов архива
arc:e [-ie[:(y|n)]] [-o[:(o|s|r|a)]] [-mf[:(y|n)]] [-p:<password>] [-out:<path>] <archive> <item> ...
Элементы архива задаются полным именем, маски (?пока) не принимаются.

w17 2017-12-11 12:56:15+03:00 - build 262

1. Проверка расширения библиотек при загрузке (7z.dll_ теперь грузиться не будет)
2. Информация о внешних кодеках 7z вынесена из кода в файл arclite.xml (arclite.xml.custom)
3. Там же можно задавать пареметры, которых нет в диалоге настроек
4. Добавлен параметр qs_by_default (можно задать в .xml),
   приоритет настроек из .xml выше БД (параметры: max_check_size, correct_name_mode, qs_by_default)
5. В SetCodecs теперь отдаётся и IHashers тоже

w17 2017-11-07 23:07:51+03:00 - build 261

1. Форматные субплагины получают все чужие кодеки (проверка на lzip).

w17 2017-09-14 13:03:45+03:00 - build 260

1. Доработка показа атрибутов архива (как в 7z 17.01).

w17 2017-09-13 13:11:58+03:00 - build 259

1. Новые имена параметров в диалоге атрибутов (Ctrl-A).
   es.msg should be updated.

w17 2017-09-06 17:35:57+03:00 - build 258

1. Sort other formats by (library, name).

w17 2017-09-06 15:56:47+03:00 - build 257

1. Skip external Zip codecs in 7z compression method list.

w17 2017-09-01 16:44:40+03:00 - build 256

1. Adjust extra codec compression level.

w17 2017-08-29 19:12:00+03:00 - build 255

1. 7z.dll обновлена до версии 17.01.

t-rex 2017-07-20 20:32:34+02:00 build 254

1. 0003453: Arclite не распознает и не заходит в папки в архивах RAR созданых на андроиде

w17 2017-06-01 13:48:57+03:00 - build 253

1. Работа в Junction папке

drkns 2017-03-15 12:29:40+00:00 - build 252

1. 0003408: Arclite не закрывает файл после неуспешного распознавания формата

w17 2017-03-05 15:05:58+03:00 - build 251

1. 0003399: ошибка при модифицировании tgz (tar+gzip) архива -- уточнение b245

w17 2017-02-28 19:20:05+03:00 - build 250

1. 003320: arclite выдаёт ошибку при обработке через префикс имени, содержащего переменную окружения

w17 2017-01-28 15:21:02+03:00 - build 249

1. Ещё раз продолжение 245.

w17 2017-01-27 17:08:39+03:00 - build 248

1. Продолжение 245.

w17 2017-01-12 14:08:28+03:00 - build 247

1. Продолжение 246.

w17 2017-01-09 20:22:47+03:00 - build 246

1. 0002758: Распаковка файлов с некорректными именами

w17 2016-12-27 21:17:38+03:00 - build 245

1. 0003296: 7z.dll can only add/make archive 7z, zip, wim and tar

w17 2016-12-27 20:42:33+03:00 - build 244

1. 0003298: Difference 7z archive size result between compression level ultra - normal - max

w17 2016-10-10 17:55:49+03:00 - build 243

1. Сохранение последней выбранной степени сжатия для каждого формата.

w17 2016-10-10 17:47:28+03:00 - build 242

1. 7z.dll обновлена до версии 16.04.

w17 2016-09-30 14:42:24+03:00 - build 241

1. 7z.dll обновлена до версии 16.03.

w17 2016-07-06 19:56:42+03:00 - build 240

1. Сохранение всех параметров диалога создания архива.

w17 2016-06-06 11:55:16+03:00 - build 239

1. 7z.dll обновлена до версии 16.02.

w17 2016-05-20 09:30:06+03:00 - build 238

1. 7z.dll обновлена до версии 16.01.

w17 2016-05-13 14:01:34+03:00 - build 237

1. Рефакторинг кода загрузки внешних форматов и кодеков.

w17 2016-05-11 16:05:07+03:00 - build 236

1. 7z.dll обновлена до версии 16.00.

shmuel 2016-04-11 08:50:30+03:00 - build 235

1. M#3214: arclite не отображает интерактивное окно создания архива при использовании макро-функций FAR-а в названии пути

w17 2016-04-05 14:22:49+03:00 - build 234

1. Hotkey for Archive Path didn't work properly.

w17 2016-03-17 14:33:22+03:00 - build 233

1. Поддержка внешних кодеков - cmdline.

w17 2016-03-16 17:44:37+03:00 - build 232

1. Поддержка внешних кодеков - сжатие.

2. Tab -> Spaces

w17 2016-03-15 22:20:12+03:00 - build 231

1. Поддержка внешних кодеков.
   dll кодеков грузятся из каталога <Arclite>\Codecs
   Чтобы фар не пытался их грузить как свои плагины, можно (но не обязательно)
   переименовать, например в *.codec

w17 2016-02-26 13:32:33+03:00 - build 230

1. Нельзя было зайти в пустые архивы (частичный откат 224).

drkns 2016-02-19 10:00:05+02:00 - build 229

1. Опция "Extract archive into separate directory" не работала при распаковке по Shift+F2.

w17 2016-02-17 17:17:19+03:00 - build 228

1. С форума: Имеется какой-то баг, связанный с работой с sfx-архивами.

drkns 2016-02-16 07:13:46+02:00 - build 227

1. Починим позиционирование на созданном архиве, отвалившееся в 222.

w17 2016-02-09 19:09:18+03:00 - build 226

1. С форума: Выделим несколько архивов, нажмём ShiftF3. Выдаёт "Archive test complete". Выделение не сбрасывается.
   Лечение симптоматическое. Как правильно должен отрабатываться ProcessHostFileW() для меня загадка.

w17 2016-01-26 12:50:13+03:00 - build 225

1. Fix 224.

w17 2016-01-25 17:16:57+03:00 - build 224

1. Подмена OEM/ANSI кодовых страниц для 7z.dll.
Нужна когда 7z не смог определить кодовую страницу в которой хранится список файлов архива
и использует текущую OEM (или возможно ANSI) кодовую страницу системы, которая может не
совпадать с использованной в архиве.

Кодовые станицы задаются в настройках архива, можно писать в БД или только для текущего процесса.
После изменения действуют на все операции с архивами до переустановки.

Так как поддержка смены кодовых страниц в 7z есть только в очень урезанном виде для
извлечения из zip и tar архивов, подмена делается грубым насилием над таблицей импрорта
7z.dll в памяти текущего процесса (если подмена не задана, или заданные кодовые страницы совпадают
с системными, патч не применяется).

Поправлены файлы справки плагина.
Очень желательно, чтобы правки (особенно английский вариант) кто-нибудь вычитал/откорректировал.

drkns 2016-01-18 21:15:19+02:00 - build 223

1. Продолжение 221. Используем выбранные опции распаковки для всех файлов.

drkns 2016-01-17 23:25:11+02:00 - build 222

1. 0002767: arclite сбрасывает выделение всех файлов после обработки первого элемента
   0002788: Restore selection not working after ArcLite->Create archive

drkns 2016-01-17 14:09:30+02:00 - build 221

1. Не показываем лишние диалоги при пакетной распаковке.

w17 2016-01-10 07:46:05+03:00 - build 220

1. 7z.dll обновлена до версии 15.14.

w17 2016-01-09 15:41:20+03:00 - build 219

1. Альтернативное решение для 218.1, 217.1

2. Продолжаем бороться с M#3072 (пока безуспешно)

drkns 2016-01-08 19:19:30+02:00 - build 218

1. Альтернативное решение для 217.1.

drkns 2016-01-06 13:30:34+02:00 - build 217

1. С форума: Если зайти плагином в zip архив и вызвать из меню плагинов плагин SameFolder, то получаем меню с кучей одинаковых форматов.

2. Версия изменена на 3.0.217 для единообразия.

w17 2015-12-25 16:43:49+03:00 - build 216

- M#3072: Прерывание архивации вызывает ошибку и закрытие Far'а
- версия 1.6.25.

w17 2015-12-23 18:02:33+03:00 - build 215

- M#3140: Проблема с просмотром некоторых zip-sfx архивов.
- версия 1.6.25.

w17 2015-12-18 13:23:59+03:00 - build 214

- M#1910: "Add to archive" hotkey does not wok in Temporary Panel.
- версия 1.6.24.

w17 2015-12-16 17:28:25+03:00 - build 213

- M#3121: Ненужное сообщение об ошибке
- версия 1.6.23.

w17 2015-12-15 18:49:44+03:00 - build 212

- M#3133: При обновлении архивов 7z SFX меняет структуру файла -- продолжение (удаление)
- версия 1.6.22.

w17 2015-12-15 13:44:34+03:00 - build 211

- M#3133: При обновлении архивов 7z SFX меняет структуру файла
- версия 1.6.21.

w17 2015-11-28 15:24:10+03:00 - build 210

- 7z.dll обновлена до версии 15.12.
- версия 1.6.20.

w17 2015-11-05 20:25:49+03:00 - build 209

- M#3115: Выводится мусор в диалоге прогресса при сжатии
- версия 1.6.19.

w17 2015-11-03 15:46:24+03:00 - build 208

- 7z.dll обновлена до версии 15.10.
- версия 1.6.18.

w17 2015-10-30 14:03:39+03:00 - build 207

1. Прерывание ArcCmd (Shift-F3) по Esc.
- версия 1.6.17.

w17 2015-10-19 15:58:23+03:00 - build 206

- 7z.dll обновлена до версии 15.09.
- версия 1.6.16.

w17 2015-10-05 16:14:21+03:00 - build 205

- 7z.dll обновлена до версии 15.08.
- версия 1.6.15.

w17 2015-09-25 18:37:01+03:00 - build 204

- M#2977: Сжатие в режимах Fastest и Fast слишком медленное по сравнению с оригинальным 7zip
- M#2978: Проблемы с обработкой продвинутых параметров
- версия 1.6.14.

w17 2015-09-22 14:34:24+03:00 - build 203

- 7z.dll обновлена до версии 15.07.
- версия 1.6.13.

w17 2015-09-18 22:29:41+03:00 - build 202

- M#2976: У arclite не работает режим Store для 7z из командной строки
- M#3074: VS14 build issue - string literals issue
- версия 1.6.12.

w17 2015-09-11 13:55:25+03:00 - build 201

- адаптация для 7z.dll > 9.26 (M#3040, M#3069)
- версия 1.6.11.

zg 2015-09-06 15:34:39+02:00

- 7z.dll обновлена до версии 15.06.
- версия 1.6.10.

w17 2015-08-15 00:11:12+03:00

- M#281: Автоподстановка переменных среды не позволяет работать с путями вида C:\%AppData%
- 1.6.9

zg 2015-06-18 20:13:22+02:00

- 7z.dll обновлена до версии 15.05.
- версия 1.6.8.

shmuel 2015-01-19 16:31:35+02:00

- С командной строки не паковались файлы из корневых директорий дисков.
- Версия 1.6.7.

zg 2014-12-07 02:51:01+02:00

- 7z.dll обновлена до версии 9.34.
- версия 1.6.6.

zg 2014-07-24 13:48:52+02:00

- 0002748: Падение при переходе по "пустому" шорткату.
- версия 1.6.5.

zg 2014-04-11 00:48:00+02:00

- 0002636: Arclite не позволяет извлечь содержимое приложенного файла.
- папки с именем "." игнорируются.
- версия 1.6.4.

zg 2014-01-25 11:05:56+02:00

- версия 1.6.3.

zg 2014-01-25 11:01:35+02:00

- 0002451: arclite не поддерживает корректную распаковку anti-item.

drkns 2013-11-12 23:46:16+02:00

- компиляция в VS2013.

1.6.2 t-rex 21.05.2013 13:49:14 +0200
- *.xz добвлен в маски по умолчанию.

1.6.1 t-rex 27.04.2013 22:45:37 +0200
- поправлена компиляция со свежим plugin.hpp

1.6.0 11.02.2012
- отключение режима сна во время архивных операций
- новая опция: применение настроек допустимых форматов и масок к Ctrl-PgDn
- новый список разрешенных масок файлов по умолчанию
- опция для автоматического добавления раширения файла архива в случае если оно не было указано
- автоматическое удаление всех кавычек из путей в диалогах плагина
- Ctrl-L показывает общий размер данных, размер упакованных данных и количество файлов в архиве
- в путях можно использовать переменные окружения, к примеру %TEMP%
- поддержка 7z.dll 9.22
- переделаны диалоги настроек и создания архива

1.5.4 13.01.2012
- исправления для Far 3.0 2373

1.5.3 24.12.2011
- некомпиляция по VC10
  (номер билда не менял)

1.5.3 08.07.2011
- правка предыдущей правки ;-)
- уточнение ExitFARW - иначе стек разбалтывается...

1.5.2 08.07.2011
- некомпиляция по VC10
  (номер билда не менял)

1.5.2 30.04.2011
- исправлен сбой при создании архива

1.5.1 25.04.2011
- не удаляем пропущенные файлы при перемещении файлов из архива
- исправлено нестабильное поведение при работе с вложенными архивами

1.5.0
- опция для перехода в каталог назначения по завершении распаковки
- параметры в диалоге распаковки сохраняются только при нажатии соответствующей кнопки
- ограничения по маскам/форматам не учитываются при Ctrl-PgDn
- Alt-F6 - распаковка в текущий каталог

1.4.10 30.01.2011
- полный путь в host file

1.4.9 21.01.2011
- поправлена распаковка в корневой каталог

1.4.8 10.01.2011
- в диалоге распаковки путь выводится с завершающим слешем

1.4.7
- продолжение: если в архиве есть несколько каталогов с одинаковыми именами (возможно в разном регистре), то отображаем только один из них

1.4.6
- если в архиве есть несколько каталогов с одинаковыми именами (возможно в разном регистре), то отображаем только один из них

1.4.5
- при отключенном фильтре пустые каталоги не добавлялись в архив
- после создания zip архива плагин забывал предыдущий использованный метод сжатия для 7z архивов
- из профиля удалены параметры "Архивировать файлы, открытые для записи" и "Показать пароль"

1.4.4
- отменено изменение: при отмене диалога с запросом пароля во время открытия архива говорим Фару прекратить обработку файла
- некорректно работало создание подкаталогов

1.4.3
- отменено изменение: очистка экрана перед выводом диалогов во время архивных операций
- кнопки в диалоге Overwrite налезали на рамку
- при отмене диалога с запросом пароля во время открытия архива говорим Фару прекратить обработку файла

1.4.2
- в диалоге перезаписи размер файла сливался с датой

1.4.1
- создание целевого каталога при создании нового архива
- не выводим запрос на перезапись при редактировании файлов в архиве
- работает вызов справки из меню плагина
- точный размер файлов в диалоге подтверждения перезаписи
- очистка экрана перед выводом диалогов во время архивных операций
- сообщение о невозможности обновить архив при создании каталога
- исправлена работа фильтра

1.4.0
- плагин поставляется в дистрибутиве Far Manager
- опции "переименовать" и "дописать" при перезаписи файлов
- поддержка OPIF_USECRC32
- возможность включить/отключить архивные форматы
- отображение в процессе архивации текущей степени сжатия
- запрос на перезапись файлов при обновлении архива
- создание каталога в архиве
- при распаковке отображается имя архива
- текущий путь отображается в заголовке панели
- если путь к создаваемому архиву заканчивается на ‘\’ или не указан, то к нему автоматически дописывается изначально сгенерированное имя архива
- в команде открытия через префикс можно указать тип архива
- можно указать имя профиля в командной строке
- возможность использовать фильтр файлов при архивации
- информация о пути и версии 7z.dll в настройках плагина
- при распаковке через меню не подставляем путь с панели плагина на пассивной панели
- расширенная конфигурация SFX архивов: можно поменять иконку, информацию о версии и указать параметры для инсталляционного модуля
- профили: можно переименовать или заменить существующий профиль, список профилей отсортирован

1.3.1
- исправление ошибок

1.3.0
- поле для продвинутых настроек сжатия в диалоге архивации
- GUID'ы для диалогов
- все индикаторы прогресса поддерживают паузу (клавиша P) и низкий приоритет (клавиша B)
- плагин заполняет PluginPanelItem.CRC32
- при архивации отображается имя создаваемого архива
- возможность открыть том или диск, к примеру arc:\\.\d:
- команды архивации, распаковки и тестирования для префикса

1.2.4
- исправление ошибок

1.2.3
- исправление ошибок

1.2.2
- исправлена ошибка при распаковке из меню в пустой каталог

1.2.1
- исправлена ошибка при модификации архива

1.2.0
- опция распаковки архива в отдельный каталог (неопределенное значение работает как параметр smart_path, который в этой версии удален)
- опция удаления архива после распаковки
- меню плагина с возможностью создания, распаковки и тестирования архива
- возможность распаковать или протестировать несколько архивов (через меню)
- преобразование архива в SFX (через меню)
- профили архивации (наборы сохраненных настроек архивации)
- возможность использовать макро-функции Фара в имени архива (пример: archive-?date("%x")?.7z)

1.1.1
- исправлена работа с относительными путями вида c:file
- исправлено падение при распаковке многотомного zip-архива

1.1.0
- возможность разбить архив на части
- опция "показать пароль" в диалоге архивации
- процент выполнения в заголовке окна при чтении архива
- при вводе неверного пароля не нужно выходить из архива чтобы ввести новый пароль
- сообщение о невозможности изменить архив выдается до отображения диалога упаковки
- исправлена проблема с архивом, содержащим одинаковые имена каталогов в разном регистре
- язык системных сообщений об ошибках по возможности соответствует языку Фара
- при приостановке архивации в заголовке окна отображается соответствующее сообщение
- исправлена ошибка с неверным выбором пути при распаковке нескольких архивов

1.0.0
